<?php

if ( !defined( 'FW' ) ) {
    die( 'Forbidden' );
}

$options = array(
    'boxed_container'   => array(
        'type'    => 'multi-picker',
        'label'   => false,
        'desc'    => false,
        'picker'  => array(
            'show' => array(
                'label'        => esc_html__( 'Enable boxed container', 'utouch' ),
                'type'         => 'switch',
                'value'        => 'no',
                'left-choice'  => array(
                    'value' => 'no',
                    'label' => esc_html__( 'No', 'utouch' ),
                ),
                'right-choice' => array(
                    'value' => 'yes',
                    'label' => esc_html__( 'Yes', 'utouch' ),
                ),
            ),
        ),
        'choices' => array(
            'yes' => array(
                'width' => array(
                    'type'       => 'slider',
                    'value'      => 1200,
                    'properties' => array(
                        'min'       => 200,
                        'max'       => 2000,
                        'step'      => 10,
                        'grid_snap' => false
                    ),
                    'label'      => esc_html__( 'Max width', 'utouch' ),
                ),
            ),
        ),
    ),
    'website_preloader' => array(
        'type'    => 'multi-picker',
        'label'   => false,
        'desc'    => false,
        'picker'  => array(
            'show' => array(
                'label'        => esc_html__( 'Enable website pre-loader', 'utouch' ),
                'type'         => 'switch',
                'value'        => 'no',
                'left-choice'  => array(
                    'value' => 'no',
                    'label' => esc_html__( 'No', 'utouch' ),
                ),
                'right-choice' => array(
                    'value' => 'yes',
                    'label' => esc_html__( 'Yes', 'utouch' ),
                ),
            ),
        ),
        'choices' => array(
            'yes' => array(
                'color' => array(
                    'type'     => 'color-picker',
                    'palettes' => array( '#f6f8f7', '#4cc2c0', '#f15b26', '#fcb03b', '#3cb878', '#8dc63f', '#6739b6' ),
                    'label'    => esc_html__( 'Preloader background', 'utouch' ),
                    'help'     => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch' ),
                    'value'    => '#66b5ff',
                ),
            ),
        ),
    ),
    'primary_color'     => array(
        'type'     => 'color-picker',
        'palettes' => array( '#f6f8f7', '#4cc2c0', '#f15b26', '#fcb03b', '#3cb878', '#8dc63f', '#6739b6' ),
        'label'    => esc_html__( 'Main accent color', 'utouch' ),
        'help'     => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch' ),
        'value'    => '#0083ff',
    ),
    'secondary_color'   => array(
        'type'     => 'color-picker',
        'palettes' => array( '#f6f8f7', '#4cc2c0', '#f15b26', '#fcb03b', '#3cb878', '#8dc63f', '#6739b6' ),
        'label'    => esc_html__( 'Secondary accent color', 'utouch' ),
        'help'     => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch' ),
        'value'    => '#9db5d4',
    ),
);

if ( class_exists( 'KingComposer' ) ) {
    $options[ 'sections_padding' ] = array(
        'type'    => 'multi-picker',
        'label'   => false,
        'desc'    => false,
        'picker'  => array(
            'sections_padding_picker' => array(
                'label'   => esc_html__( 'Sections padding', 'utouch' ),
                'type'    => 'radio',
                'value'   => 'medium',
                'inline'  => true,
                'choices' => array(
                    'small'  => esc_html__( 'Small', 'utouch' ),
                    'medium' => esc_html__( 'Medium', 'utouch' ),
                    'large'  => esc_html__( 'Large', 'utouch' ),
                    'custom' => esc_html__( 'Custom', 'utouch' ),
                ),
            ),
        ),
        'choices' => array(
            'custom' => array(
                'top'    => array(
                    'type'  => 'text',
                    'value' => 100,
                    'label' => __( 'Padding top', 'utouch' ),
                    'desc'  => __( 'Number only', 'utouch' ),
                ),
                'bottom' => array(
                    'type'  => 'text',
                    'value' => 100,
                    'label' => __( 'Padding bottom', 'utouch' ),
                    'desc'  => __( 'Number only', 'utouch' ),
                ),
            ),
        ),
    );
}
    