<?php
/*
Extension Name: List of latest events
Extension Preview: -
Description:
Version: 1.0
Author: Crumina
Author URI: https://crumina.net/
*/

if ( ! defined( 'ABSPATH' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	exit;
}
if ( function_exists( 'kc_add_map' ) ) {
	kc_add_map(
		array(
			'crum_post_type_list' => array(
				'name' => esc_html__(' List Blog Posts', 'utouch'),
				'icon' => 'kc-icon-post',
				'category' => 'Blog Posts',
				'priority'  => 340,
				'params'		=> array(
					'general' => array(
						array(
							'type'			=> 'number_slider',
							'label'			=> esc_html__( 'Number of posts displayed', 'utouch' ),
							'name'			=> 'number_post',
							'description'	=> esc_html__( 'The number of posts you want to show.', 'utouch' ),
							'value'			=> '5',
							'admin_label'	=> true,
							'options' => array(
								'min' => 1,
								'max' => 12
							)
						),
						array(
							'type'			=> 'post_taxonomy',
							'label'			=> esc_html__( 'Content Type', 'utouch' ),
							'name'			=> 'post_taxonomy',
							'admin_label'	=> true
						),
						array(
							'type'			=> 'dropdown',
							'label'			=> esc_html__( 'Order by', 'utouch' ),
							'name'			=> 'order_by',
							'admin_label'	=> true,
							'options' 		=> array(
								'ID'		=> esc_html__(' Post ID', 'utouch'),
								'author'	=> esc_html__(' Author', 'utouch'),
								'title'		=> esc_html__(' Title', 'utouch'),
								'name'		=> esc_html__(' Post name (post slug)', 'utouch'),
								'type'		=> esc_html__(' Post type (available since Version 4.0)', 'utouch'),
								'date'		=> esc_html__(' Date', 'utouch'),
								'modified'	=> esc_html__(' Last modified date', 'utouch'),
								'rand'		=> esc_html__(' Random order', 'utouch'),
								'comment_count'	=> esc_html__(' Number of comments', 'utouch')
							)
						),
						array(
							'type'			=> 'dropdown',
							'label'			=> esc_html__( 'Order post', 'utouch' ),
							'name'			=> 'order_list',
							'admin_label'	=> true,
							'options' 		=> array(
								'ASC'		=> esc_html__(' ASC', 'utouch'),
								'DESC'		=> esc_html__(' DESC', 'utouch'),
							)
						),
						array(
							'type'			=> 'text',
							'label'			=> esc_html__( 'Wrapper class name', 'utouch' ),
							'name'			=> 'wrap_class',
							'description'	=> esc_html__( 'Custom class for wrapper of the shortcode widget.', 'utouch' ),
						)
					),
					'styling' => array(
						array(
							'name'    => 'css_custom',
							'type'    => 'css',
						)
					),
					'animate' => array(
						array(
							'name'    => 'animate',
							'type'    => 'animate'
						)
					),
				)
			),
		)
	);
}