<?php
/**
 * @package utouch-wp
 */
$atts           = Utouch::get_var( 'crum_subscribe_form' );
extract( $atts );
$module_class   = utouch_module_class( 'crumina-module-subscribe-form type_2', $atts );
$module_class[] = 'subscribe-form';

global $es_includes;
if ( !isset( $es_includes ) || $es_includes !== true ) {
    $es_includes = true;
}

$image_url = wp_get_attachment_image_url( $image, 'full' );
?>
<div id="subscribe-section" class="<?php echo implode( ' ', $module_class ) ?>">
    <div class="subscribe-form">
        <div class="subscribe-main-content">
            <?php if ( $image_url ) { ?>
                <img class="subscribe-img" src="<?php echo esc_url( $image_url ) ?>" alt="image">
            <?php } ?>
            <div class="col-lg-7 col-md-12 col-sm-12 col-xs-12">
                <div class="crumina-module crumina-heading">
                    <h2 class="heading-title"><?php echo esc_html( $title ) ?></h2>
                    <p class="heading-text"><?php echo esc_html( $desc ) ?></p>
                </div>
                <?php
                if ( !empty( $shortcode ) ) {
                    ?>
                    <div class="mc4wp-custom-subscribe-form">
                        <?php echo do_shortcode( $shortcode ); ?>
                    </div>
                    <?php
                } else if ( function_exists( 'es_subbox' ) ) {
                    $list = isset( $list ) ? trim($list) : '';
                    $lists = !empty( $list ) ? explode( ',', $list ) : array();

                    if ( !empty( $lists ) ) {
                        $rand  = rand( 111, 999 );
                        ?>
                        <form id="es_subscription_form_<?php echo esc_attr( $rand ); ?>" class="es_subscription_form form-inline es_shortcode_form" data-source="ig-es">

                            <?php
                            $lists = isset( $list ) ? explode( ',', $list ) : array();
                            foreach ( $lists as $l ) {
                                ?>
                                <input type="hidden" name="lists[]" value="<?php echo esc_attr( $l ); ?>">
                            <?php } ?>

                            <input type="email" id="es_txt_email_pg" name="email" required maxlength="40">

                            <button type="submit" class="btn btn--green  subscr-btn es_submit_button" id="es_txt_button_pg" name="es_txt_button_pg"><?php echo esc_html( $btn_label ) ?></button>

                            <?php
                            $hp_style = "position:absolute;top:-99999px;" . ( is_rtl() ? 'right' : 'left' ) . ":-99999px;z-index:-99;";
                            ?>
                            <?php $nonce    = wp_create_nonce( 'es-subscribe' ); ?>
                            <input type="hidden" name="es-subscribe" id="es-subscribe" value="<?php utouch_render( $nonce ); ?>"/>
                            <label style="<?php utouch_render( $hp_style ); ?>"><input type="text" name="es_hp_<?php echo wp_create_nonce( 'es_hp' ); ?>" class="es_required_field" tabindex="-1" autocomplete="off"/></label>

                            <input name="es_txt_group_pg" id="es_txt_group_pg" value="" type="hidden">
                            <input type="hidden" id="es_txt_name_pg" name="es_txt_name_pg" value="">
                        </form>

                        <span class="es_subscription_message success" id="es_subscription_message_<?php echo esc_attr( $rand ); ?>"></span>
                        <?php
                    } else {
                        ?>
                        <p class="error"><?php esc_html_e( 'You should select subscription list in your builder component', 'utouch' ) ?></p>
                        <?php
                    }
                }
                ?>
            </div>

        </div>
        <div class="subscribe-layer"></div>
    </div>

</div>