<?php
/**
 * @package utouch-wp
 */
$atts = Utouch::get_var( 'pricing_box' );

$color      = !empty( $atts[ 'primary_color' ] ) ? $atts[ 'primary_color' ] : '#01a23c';
$item_class = array( 'crumina-module', ' crumina-pricing-tables-item', 'pricing-tables-item-standard' );
if ( !empty( $atts[ 'custom_class' ] ) ) {
    $item_class[] = $atts[ 'custom_class' ];
}
$item_class[] = 'kc-css-' . $atts[ '_id' ];

//hover zoom ? is it for 1 pricing variant
if ( !empty( $atts[ 'highlight' ] ) ) {
	$item_class[] = 'highlight-zoom';
} elseif( !empty( $atts[ 'hover_zoom' ] )) {
	$item_class[] = 'hover-zoom';
}

?>
<div class="<?php echo esc_attr( implode( ' ', $item_class ) ) ?>">
    <div class="main-pricing-content">
        <h2 class="h1 rate"><?php echo esc_html( $atts[ 'currency_top' ] ) ?>
            <span class="price" data-annually="<?php echo esc_attr( $atts[ 'price_year' ] ) ?>" data-monthly="<?php echo esc_html( $atts[ 'price_month' ] ) ?>">
                <?php echo esc_attr( $atts[ 'price' ] ) ?></span>
            <span class="sub-price rate" data-annually="<?php echo esc_attr( $atts[ 'sub_price_year' ] ) ?>" data-monthly="<?php echo esc_attr( $atts[ 'sub_price_month' ] ) ?>">
                <?php echo esc_attr( $atts[ 'sub_price' ] ) ?>
            </span>
            <?php echo esc_html( $atts[ 'currency_bottom' ] ) ?>
        </h2>
        <h5 class="pricing-title"><?php echo esc_html( $atts[ 'title' ] ) ?></h5>

        <div class="pricing-line " style="background-color: <?php echo esc_attr( $color ) ?>"></div>
        <div class="pricing-description pricing-tables-position"><?php utouch_render( $atts[ 'desc' ] ) ?> </div>
        <?php echo do_shortcode( $atts[ 'content' ] ) ?>
        <div class="sub-description"><?php echo esc_html( $atts[ 'sub_desc' ] ) ?></div>
    </div>

    <div class="bg-pricing-content" style="background-color: <?php echo esc_attr( $color ) ?>">
        <?php if ( 'yes' === $atts[ 'show_button' ] ) { ?>
            <a href="<?php echo esc_html( $atts[ 'button_link' ] ) ?>" target="<?php echo esc_attr( $atts[ 'button_target' ] ) ?>" class="h6 title price-link price-primary-link"
               data-target-monthly="<?php echo esc_attr( $atts[ 'button_month_target' ] ); ?>"
               data-target-annually="<?php echo esc_attr( $atts[ 'button_year_target' ] ); ?>"
               data-monthly="<?php echo esc_url( $atts[ 'button_month_link' ] ); ?>"
               data-annually="<?php echo esc_url( $atts[ 'button_year_link' ] ); ?>">
                   <?php echo esc_html( $atts[ 'button_text' ] ) ?>
            </a>
        <?php } ?>
    </div>

</div>
